import request from '@/utils/request'

export function register(params = {}) {
  return request({
    url: 'api/auth.signup',
    method: 'post',
    data: params
  })
}

export function login(params = {}) {
  return request({
    url: '/api/base/login',
    method: 'post',
    data: params,
  })
}

export function getUserInfo(params = {}) {
  return request({
    url: 'user.info',
    method: 'post',
    data: params,
  })
}

export function forgetPassword(params = {}) {
  return request({
    url: 'auth.forgot',
    method: 'post',
    data: params,
  })
}

export function resetPassword(params = {}) {
  return request({
    url: 'auth.resetpass',
    method: 'post',
    data: params,
  })
}
